%{?nodejs_find_provides_and_requires}

%global packagename isexe
%global enable_tests 1

Name:		nodejs-isexe
Version:	1.0.0
Release:	3%{?dist}
Summary:	Minimal module to check if a file is executable

License:	ISC
URL:		https://github.com/isaacs/isexe
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# No license file in the npm package or upstream github
# Requested at https://github.com/isaacs/isexe/issues/1
Source1:	LICENSE-ISC.txt

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(tap)
%endif

%description
Minimal module to check if a file is executable.


%prep
%setup -q -n package

#copy the license file
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-ISC.txt
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Add missing build requirements

* Mon Jan 18 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
